﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebImageViewerDemo_Database.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <meta name="viewport" content="width=device-width" />
    <script src="Scripts/Vintasoft/Vintasoft.Shared.js" type="text/javascript"></script>
    <script src="Scripts/Vintasoft/Vintasoft.Imaging.js" type="text/javascript"></script>
</head>
<body>
    <center>
        <h2>
            This ASP.NET WebForms demo shows how to view images in HTML5 image viewer.<br />
            Images are stored in database and not cached on the server.
        </h2>
    </center>
    <div>
        <input type="hidden" runat="server" id="hiddenSessionField" />
        <div style="text-align: center; margin-top: 100px; margin-left: auto; margin-right: auto; width: 600px; height: 600px">
            <div id="WebImageViewer1" style="border: 1px ridge black; width: 100%; height: 100%;"></div>
            <input type="button" value="Open first image" id="openFirstImageButton" />
            <input type="button" value="Open first page of second image" id="openSecondImageButton" />
            <input type="button" value="Open second page of second image" id="openThirdImageButton" />
        </div>
        <script>
            function __imageButton_click(event) {
                var id = event.target.id;
                var images = imageViewer1.get_Images();
                images.clear();
                switch (id) {
                    case "openFirstImageButton":
                        if (opened != 1) {
                            images.add(image1);
                            opened = 1;
                        }
                        break;
                    case "openSecondImageButton":
                        if (opened != 2) {
                            images.add(image2);
                            opened = 2;
                        }
                        break;
                    case "openThirdImageButton":
                        if (opened != 3) {
                            images.add(image3);
                            opened = 3;
                        }
                        break;
                }
            };


            var sessionId = document.getElementById("hiddenSessionField").value;
            Vintasoft.Shared.WebImagingEnviromentJS.set_SessionId(sessionId);
            var databaseImageService = new Vintasoft.Shared.WebServiceHandlerJS("Handlers/VintasoftDBImageHandler.ashx");

            // create image source - where first paramater - ID that identify image in database 
            // ( {0}_{1} - where 0 is ID of row in the table, 1 - page index )
            // second paramater - controller that works with images from database
            var databaseStorageSource1 = new Vintasoft.Shared.WebImageSourceJS("0", databaseImageService);
            var databaseStorageSource2 = new Vintasoft.Shared.WebImageSourceJS("1", databaseImageService);
            var databaseStorageSource3 = new Vintasoft.Shared.WebImageSourceJS("1", databaseImageService);

            // create image with specified sources 
            var image1 = new Vintasoft.Shared.WebImageJS(databaseStorageSource1, 0);
            var image2 = new Vintasoft.Shared.WebImageJS(databaseStorageSource2, 0);
            var image3 = new Vintasoft.Shared.WebImageJS(databaseStorageSource3, 1);

            // create the image viewer
            var imageViewer1 = new Vintasoft.Imaging.UI.WebImageViewerJS("WebImageViewer1");

            var opened = -1;

            document.getElementById("openFirstImageButton").onclick = __imageButton_click;
            document.getElementById("openSecondImageButton").onclick = __imageButton_click;
            document.getElementById("openThirdImageButton").onclick = __imageButton_click;
        </script>
    </div>
</body>
</html>
